
// (c) COPYRIGHT URI/MIT 1996
// Please read the full copyright statement in the file COPYRIGH.  
//
// Authors:
//	reza		Reza Nekovei (reza@intcomm.net)

// DSP sub-class implementation for DSPByte,...DSPGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 8/25/96

// $Log: DSPFunction.cc,v $
// Revision 1.3  1998/08/06 16:32:08  jimg
// Fixed misuse of the read(...) member function. Return true if more data
// is to be read, false is if not and error if an error is detected
//
// Revision 1.2  1996/11/15 18:22:15  jimg
// Fixed copyright statement.
// Added include of config header
//
// Revision 1.1  1996/09/18 22:42:00  reza
//  First release of DODS-DSP servers.
//
//

#include "config_dsp.h"

static char rcsid[]={"$Id: DSPFunction.cc,v 1.3 1998/08/06 16:32:08 jimg Exp $"};

#ifdef _GNUG_
#pragma implementation
#endif

#include "DSPFunction.h"

Function *
NewFunction(const String &n)
{
    return new DSPFunction(n);
}

// protected

BaseType *
DSPFunction::ptr_duplicate()
{
    return new DSPFunction(*this);
}

// public

DSPFunction::DSPFunction(const String &n) : Function(n)
{
}

DSPFunction::~DSPFunction()
{
}

bool
DSPFunction::read(const String &, int &error)
{
    error = 1;
    return false;
}
